Bug 968995 - Remove the subpackage 'rmt' from dump
Remove the subpackage 'rmt' from dump
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dump (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Hracek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 08:39 EDT by Pavel Raiskup
Modified: 2013-06-05 02:31 EDT (History)
2 users (show)

See Also:
Fixed In Version: dump-0.4-0.20.b44.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-05 02:31:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Define new rmt path (320 bytes, patch)
2013-06-04 06:46 EDT, Petr Hracek
no flags Details | Diff
Dump.spec patch (2.71 KB, patch)
2013-06-04 06:50 EDT, Petr Hracek
no flags Details | Diff

  None (edit)
Description Pavel Raiskup 2013-05-30 08:39:31 EDT
The 'rmt' package is mostly about /usr/sbin/rmt binary.  Similar (more recent)
version of this binary is also in 'star' distribution tarball.  See the
bug #968980.

If the binary _was_ compatible with dump, would it be possible to remove this
subpackage from dump?  And let it be obsoleted by star's 'rmt'?

Thanks,
Pavel
Comment 1 Petr Hracek 2013-06-04 06:46:24 EDT
Created attachment 756683 [details]
Define new rmt path
Comment 2 Petr Hracek 2013-06-04 06:50:02 EDT
Created attachment 756684 [details]
Dump.spec patch
Comment 3 Petr Hracek 2013-06-04 07:25:45 EDT
scm-commit (http://lists.fedoraproject.org/pipermail/scm-commits/Week-of-Mon-20130603/1033762.html) 

How to test dump with new rmt delivered by star package.
Dump patch has defined path to /usr/sbin/rmt directly.
You need to have two machines or localhost on the one machine.

On the one machine use following commands:
1) export RSH=/usr/sbin/rmt
2) dump -0 -f <username>@<ipaddress_of_another_pc_or_localhost>:<file> <path_to_directory>

dump command has to be run under root user.
Comment 4 Pavel Raiskup 2013-06-04 13:07:33 EDT
Thanks for testing and patch!

(In reply to Petr Hracek from comment #3)
> 1) export RSH=/usr/sbin/rmt

Here is a typo s/RSH/RMT/ .

> 2) dump -0 -f <username>@<ipaddress_of_another_pc_or_localhost>:<file>
> <path_to_directory>
> 
> dump command has to be run under root user.

I checked it also (over ssh) and it works ok:

  RMT=/usr/sbin/rmt RSH=/usr/bin/ssh dump -0 -f localhost:/tmp/bootDump /boot

(note that dump does not ask for ssh password so you need to use ssh-copy-id
before)

FYI:  I have committed (and built) the changes in star in Rawhide — the Epoch
of new rmt package from star.spec is '2', so it should replace rmt from
dump.spec in a natural way.  So from this time, the 'rmt' removal from dump is
OK.

Pavel
Comment 5 Petr Hracek 2013-06-05 02:31:31 EDT
dump package was build up.
scm-commit for removing star from section Requires (http://lists.fedoraproject.org/pipermail/scm-commits/Week-of-Mon-20130603/1033773.html) -> CLOSED

Note You need to log in before you can comment on or make changes to this bug.